package promotion;

import java.util.HashMap;
import java.util.Map;

import com.openrules.ruleengine.Decision;

public class Main {

	public static void main(String[] args) {
		try {
			String fileName = "file:rules/main/Decision.xls";
			Decision decision = new Decision("DetermineCustomerPromotionEligibility",fileName);
			Customer customer = new Customer();
			customer.setName("RJ Drobick"); 
			customer.setId("86182618");
			customer.setDept("Executive");
			Map<String, String> attrs = new HashMap<String, String>();
			attrs.put("Business_awards", "B102,B6772");
			attrs.put("Papers_submitted", "P898,P6151");
			attrs.put("Recommendations", "3");
			customer.setJobAttrs(attrs);

			decision.put("Customer", customer);
			Response response = new Response();
			decision.put("Response", response);
			decision.saveRunLog(true);
			decision.execute();
			decision.log("Decision: " + decision.getOutput()); 
			decision.printSavedRunLog("results.txt");
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}
}
